import { SerializedObject } from "../businessObjects/SerializedObject.js";
import { VersionedObject } from "../businessObjects/versioned/index.js";
import { EDataUpdateOpCode, EFieldKey } from "../enum/index.js";
import { UnixTimestamp, VolatileStorageKey } from "../primitives/index.js";
export declare type DataUpdate = VolatileDataUpdate | FieldDataUpdate;
export declare class VolatileDataUpdate {
    operation: EDataUpdateOpCode;
    key: VolatileStorageKey | null;
    timestamp: UnixTimestamp;
    value: VersionedObject;
    version: number;
    constructor(operation: EDataUpdateOpCode, key: VolatileStorageKey | null, timestamp: UnixTimestamp, value: VersionedObject, version: number);
}
export declare class FieldDataUpdate {
    key: EFieldKey;
    value: SerializedObject;
    timestamp: UnixTimestamp;
    constructor(key: EFieldKey, value: SerializedObject, timestamp: UnixTimestamp);
}
//# sourceMappingURL=DataUpdate.d.ts.map